# AP4_IsmaCipher Class Reference

`#include <Ap4IsmaCryp.h>`

Inheritance diagram for AP4_IsmaCipher:

List of all members.

## Public Member Functions
| AP4_IsmaCipher (AP4_BlockCipher *block_cipher, const AP4_UI08 *salt, AP4_UI08 iv_length, AP4_UI08 key_indicator_length, bool selective_encryption)
| ~AP4_IsmaCipher ()
AP4_Result | EncryptSampleData (AP4_DataBuffer &data_in, AP4_DataBuffer &data_out, AP4_UI32 offset)
AP4_Result | DecryptSampleData (AP4_DataBuffer &data_in, AP4_DataBuffer &data_out)
AP4_CtrStreamCipher * | GetCipher ()
AP4_UI08 | GetIvLength ()
AP4_UI08 | GetKeyIndicatorLength ()
bool | GetSelectiveEncryption ()
## Static Public Member Functions
static AP4_Result | CreateSampleDecrypter (AP4_ProtectedSampleDescription *sample_description, const AP4_UI08 *key, AP4_Size key_size, AP4_BlockCipherFactory *block_cipher_factory, AP4_IsmaCipher *&decrypter)

## Detailed Description

Definition at line 57 of file Ap4IsmaCryp.h.

## Constructor & Destructor Documentation

AP4_IsmaCipher::AP4_IsmaCipher | ( | AP4_BlockCipher * | block_cipher,
|  | const AP4_UI08 * | salt,
|  | AP4_UI08 | iv_length,
|  | AP4_UI08 | key_indicator_length,
|  | bool | selective_encryption |
| ) |  |  |

AP4_IsmaCipher::~AP4_IsmaCipher | ( |  | ) |

## Member Function Documentation

static AP4_Result AP4_IsmaCipher::CreateSampleDecrypter | ( | AP4_ProtectedSampleDescription * | sample_description,
|  | const AP4_UI08 * | key,
|  | AP4_Size | key_size,
|  | AP4_BlockCipherFactory * | block_cipher_factory,
|  | AP4_IsmaCipher *& | decrypter |
| ) |  |  | `[static]`

AP4_Result AP4_IsmaCipher::EncryptSampleData | ( | AP4_DataBuffer & | data_in,
|  | AP4_DataBuffer & | data_out,
|  | AP4_UI32 | offset |
| ) |  |  |

AP4_Result AP4_IsmaCipher::DecryptSampleData | ( | AP4_DataBuffer & | data_in,
|  | AP4_DataBuffer & | data_out |
| ) |  |  | `[virtual]`

Implements AP4_SampleDecrypter.

AP4_CtrStreamCipher* AP4_IsmaCipher::GetCipher | ( |  | ) | `[inline]`

Definition at line 79 of file Ap4IsmaCryp.h.

AP4_UI08 AP4_IsmaCipher::GetIvLength | ( |  | ) | `[inline]`

Definition at line 80 of file Ap4IsmaCryp.h.

AP4_UI08 AP4_IsmaCipher::GetKeyIndicatorLength | ( |  | ) | `[inline]`

Definition at line 81 of file Ap4IsmaCryp.h.

bool AP4_IsmaCipher::GetSelectiveEncryption | ( |  | ) | `[inline]`

Definition at line 82 of file Ap4IsmaCryp.h.

The documentation for this class was generated from the following file:

- Ap4IsmaCryp.h